Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.serialize
Interface DOMSerializer

All Known Implementing Classes:
  BaseMarkupSerializer

public interface DOMSerializer

Interface for a DOM serializer implementation.

Version:
  $Revision: 1.4 $ $Date: 2002/01/29 01:15:20 $
Author:
  Scott Boag, Assaf Arkin

Method Summary
`void` | `serialize(org.w3c.dom.Document doc)` Serializes the DOM document.
`void` | `serialize(org.w3c.dom.DocumentFragment frag)` Serializes the DOM document fragment.
`void` | `serialize(org.w3c.dom.Element elem)` Serialized the DOM element.

Method Detail

### serialize

    public void serialize(org.w3c.dom.Element elem)
                   throws java.io.IOException

  Serialized the DOM element. Throws an exception only if an I/O exception occured while serializing.
  Parameters:
    `elem` - The element to serialize
  Throws:
    `java.io.IOException` - An I/O exception occured while serializing

### serialize

    public void serialize(org.w3c.dom.Document doc)
                   throws java.io.IOException

  Serializes the DOM document. Throws an exception only if an I/O exception occured while serializing.
  Parameters:
    `doc` - The document to serialize
  Throws:
    `java.io.IOException` - An I/O exception occured while serializing

### serialize

    public void serialize(org.w3c.dom.DocumentFragment frag)
                   throws java.io.IOException

  Serializes the DOM document fragment. Throws an exception only if an I/O exception occured while serializing.
  Parameters:
    `frag` - The document fragment to serialize
  Throws:
    `java.io.IOException` - An I/O exception occured while serializing

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.